> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Estimation of Confirmation Time

> Estimate confirmation time based on a provided gas price.

export const chain = '1';

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": "45"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/gasestimate.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Estimation of Confirmation Time
  version: 2.0.0
  description: Estimate confirmation time based on a provided gas price.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Estimation of Confirmation Time
      description: Estimate confirmation time based on a provided gas price.
      operationId: getGasestimate
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to gastracker for this endpoint.
          schema:
            type: string
            default: gastracker
          example: gastracker
        - name: action
          in: query
          required: true
          description: Set to gasestimate for this endpoint.
          schema:
            type: string
            default: gasestimate
          example: gasestimate
        - name: gasprice
          in: query
          required: false
          description: Gas price paid per unit of gas, in wei.
          schema:
            type: string
          example: '2000000000'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````